Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields | Protected Attributes
Lucene::DocFieldProcessorPerThreadPerDoc Class Reference

`#include <DocFieldProcessorPerThread.h>`

Inheritance diagram for Lucene::DocFieldProcessorPerThreadPerDoc:

## Public Member Functions

| DocFieldProcessorPerThreadPerDoc (const DocFieldProcessorPerThreadPtr &docProcessor)
virtual | ~DocFieldProcessorPerThreadPerDoc ()
virtual String | getClassName ()
boost::shared_ptr< DocFieldProcessorPerThreadPerDoc > | shared_from_this ()
virtual int64_t | sizeInBytes ()
virtual void | finish ()
virtual void | abort ()
Public Member Functions inherited from Lucene::DocWriter
| DocWriter ()
virtual | ~DocWriter ()
boost::shared_ptr< DocWriter > | shared_from_this ()
virtual void | setNext (const DocWriterPtr &next)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocWriter
static String | _getClassName ()

## Data Fields

DocWriterPtr | one
DocWriterPtr | two
Data Fields inherited from Lucene::DocWriter
DocWriterPtr | next
int32_t | docID

## Protected Attributes

DocFieldProcessorPerThreadWeakPtr | _docProcessor
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ DocFieldProcessorPerThreadPerDoc()

Lucene::DocFieldProcessorPerThreadPerDoc::DocFieldProcessorPerThreadPerDoc | ( | const DocFieldProcessorPerThreadPtr & | docProcessor | ) |

## ◆ ~DocFieldProcessorPerThreadPerDoc()

virtual Lucene::DocFieldProcessorPerThreadPerDoc::~DocFieldProcessorPerThreadPerDoc | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::DocFieldProcessorPerThreadPerDoc::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::DocFieldProcessorPerThreadPerDoc::abort | ( |  | ) |

virtual

Implements Lucene::DocWriter.

## ◆ finish()

virtual void Lucene::DocFieldProcessorPerThreadPerDoc::finish | ( |  | ) |

virtual

Implements Lucene::DocWriter.

## ◆ getClassName()

virtual String Lucene::DocFieldProcessorPerThreadPerDoc::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::DocWriter.

## ◆ shared_from_this()

boost::shared_ptr< DocFieldProcessorPerThreadPerDoc > Lucene::DocFieldProcessorPerThreadPerDoc::shared_from_this | ( |  | ) |

inline

## ◆ sizeInBytes()

virtual int64_t Lucene::DocFieldProcessorPerThreadPerDoc::sizeInBytes | ( |  | ) |

virtual

Implements Lucene::DocWriter.

## Field Documentation

## ◆ _docProcessor

DocFieldProcessorPerThreadWeakPtr Lucene::DocFieldProcessorPerThreadPerDoc::_docProcessor

protected

## ◆ one

DocWriterPtr Lucene::DocFieldProcessorPerThreadPerDoc::one

## ◆ two

DocWriterPtr Lucene::DocFieldProcessorPerThreadPerDoc::two

The documentation for this class was generated from the following file:

- DocFieldProcessorPerThread.h

clucene.sourceforge.net